Bug 588284 - SRPM lacks BuildReq for C++ compiler
Summary: SRPM lacks BuildReq for C++ compiler
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: psmisc
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Novotny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-03 12:00 UTC by Tim Landscheidt
Modified: 2010-05-06 05:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-03 13:03:42 UTC
Type: ---


Attachments (Terms of Use)

Description Tim Landscheidt 2010-05-03 12:00:59 UTC
Description of problem:

The SRPM has no BuildReq for a C++ compiler.


Version-Release number of selected component (if applicable):

psmisc-22.6-9.fc11.src.rpm


How reproducible:

Always.


Steps to Reproduce:
 
| [tim@passepartout ~]$ rpmbuild -bc RPMS/SPECS/psmisc.spec 
| Ausführung(%prep): /bin/sh -e /var/tmp/rpm-tmp.Cl2XGT
| [...]
| checking whether make sets $(MAKE)... yes
| checking for i686-pc-linux-gnu-g++... no
| checking for i686-pc-linux-gnu-c++... no
| checking for i686-pc-linux-gnu-gpp... no
| checking for i686-pc-linux-gnu-aCC... no
| checking for i686-pc-linux-gnu-CC... no
| checking for i686-pc-linux-gnu-cxx... no
| checking for i686-pc-linux-gnu-cc++... no
| checking for i686-pc-linux-gnu-cl.exe... no
| checking for i686-pc-linux-gnu-FCC... no
| checking for i686-pc-linux-gnu-KCC... no
| checking for i686-pc-linux-gnu-RCC... no
| checking for i686-pc-linux-gnu-xlC_r... no
| checking for i686-pc-linux-gnu-xlC... no
| checking for g++... no
| checking for c++... no
| checking for gpp... no
| checking for aCC... no
| checking for CC... no
| checking for cxx... no
| checking for cc++... no
| checking for cl.exe... no
| checking for FCC... no
| checking for KCC... no
| checking for RCC... no
| checking for xlC_r... no
| checking for xlC... no
| checking for C++ compiler default output file name... 
| configure: error: in `/home/tim/RPMS/BUILD/psmisc-22.6':
| configure: error: C++ compiler cannot create executables
| See `config.log' for more details.
| Fehler: Fehler-Status beim Beenden von /var/tmp/rpm-tmp.WMzWpo (%build)


| Fehler beim Bauen des RPM:
|     Fehler-Status beim Beenden von /var/tmp/rpm-tmp.WMzWpo (%build)
| [tim@passepartout ~]$

Comment 1 Ondrej Vasik 2010-05-03 13:03:42 UTC
That's NOTABUG - see http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 . Build Requires for C++ compiler are not required.

Comment 2 Tim Landscheidt 2010-05-05 20:47:46 UTC
Sorry, I wasn't aware of that guideline. Is there a package similar to redhat-lsb that unites these dependencies?

Comment 3 Ondrej Vasik 2010-05-06 05:35:12 UTC
Good point, I don't know about such package - but it sounds like a good idea. Maybe you could ask about that on devel@lists.fedoraproject.org to have wider audience (maybe there is already some group in comps which could be installed to achieve this - I'm not sure).


Note You need to log in before you can comment on or make changes to this bug.